commit:     ddba644d264dce20811cf467f3d942ad2dae20df
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Sat Sep 19 13:11:04 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Sep 28 12:59:44 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ddba644d

dev-python/flask-paginate: bump to 0.7.0

Closes: https://bugs.gentoo.org/717526
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-python/flask-paginate/Manifest                 |  1 +
 .../flask-paginate/flask-paginate-0.7.0.ebuild     | 24 ++++++++++++++++++++++
 2 files changed, 25 insertions(+)

diff --git a/dev-python/flask-paginate/Manifest 
b/dev-python/flask-paginate/Manifest
index 7419a539835..642213b3e30 100644
--- a/dev-python/flask-paginate/Manifest
+++ b/dev-python/flask-paginate/Manifest
@@ -1 +1,2 @@
 DIST flask-paginate-0.5.3.tar.gz 118570 BLAKE2B 
0c6d1163dcd8144afa80b217ab3a714a39f4015aa732b4c32cf0feee0d7ee06968bd8549651f2941be9c60d3fd36a18e132dd4c174eb4148e63f83e461cbf519
 SHA512 
fe3cdc808459528c449611b2411c377d46bdef4995cd2851730e90dc0091da15479022f401e31113c4d39f766841d9701f285c81e0ec6293eddd4c8f0821567e
+DIST flask-paginate-0.7.0.tar.gz 119358 BLAKE2B 
24c1f3bc77853c9c96bb72d3364e73845f8fd0870606dd96b4261861430bef864a6830dd793f4f6e8a9371c89342dda88c5f976d79ff4a1bec7d687614b2014a
 SHA512 
11c335c08c6a9c32999e5b8ba7a76c1fb04769e5ab679b550efc87497446edbaa1e3ccb62a4c238a0b5585f7ba4067e43f158ae123c3b118db84b90cb5d4f219

diff --git a/dev-python/flask-paginate/flask-paginate-0.7.0.ebuild 
b/dev-python/flask-paginate/flask-paginate-0.7.0.ebuild
new file mode 100644
index 00000000000..8435e67f09f
--- /dev/null
+++ b/dev-python/flask-paginate/flask-paginate-0.7.0.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=bdepend
+PYTHON_COMPAT=( python3_{6..9} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Pagination support for flask"
+HOMEPAGE="https://flask-paginate.readthedocs.io";
+SRC_URI="https://github.com/lixxu/flask-paginate/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/flask[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_test() {
+       pytest -vv tests/tests.py || die "tests failed with ${EPYTHON}"
+}

Reply via email to